﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace ChartSample
{
    public partial class ChartPage : ContentPage
    {
        public ChartPage()
        {
            InitializeComponent();

            Chart.SelectionChanged += Chart_SelectionChanged;
        }

        private void OnLabelClicked(object sender, EventArgs e)
        {
            var viewModel = Chart.BindingContext as ChartViewModel;
            var list = viewModel.NumericData as System.Collections.IList;
            var item = (sender as Label).BindingContext as Model;
            int index = list.IndexOf(item);

            Navigation.PushModalAsync(new ContentPage() { Content = new Label() { Text = "Selected Index: " + index.ToString() } });
        }

        private void Chart_SelectionChanged(object sender, Syncfusion.SfChart.XForms.ChartSelectionEventArgs e)
        {
            Navigation.PushModalAsync(new ContentPage() { Content = new Label() { Text = "Bar Selected" } });
        }
    }
}
